Skocz do zawartości
killerbees1982

Zmiana wersji PHP na vps

Polecane posty

Witam wszystkich. Chciałbym zaznaczyć że w obsłudze vps spod ssh nie jestem za mocny dlatego wybaczcie moje zapewne banalne pytanie dla większości. Mam taki problem. Kiedyś kupiłem pewien skrypt żeby go postawić na vps. Stał on przez pewien czas ale pogoniłem go i teraz mam znów na niego smaka. Zakupiłem sobie najprostszego vpsa (bo taki mi wystarczy) , zainstalowałem vespe ( ona doinstalowała resztę m.in.php 7.0). Wrzucam instalator pod konkretny adres, wklepuje go i błąd 500. To szybko do logów, a tam napisane że skrypt stworzono przy php5.3 a ja mam 7.0 i nic z tego. Więc jak teraz zainstalować 5.3 żeby to śmiagało bo wpisując apt-get install php5 jakoś nie idzie.

 

Udostępnij ten post


Link to postu
Udostępnij na innych stronach

Skoro apt to Debian/Ubuntu, lub pochodne.

 

Przeszukaj repo pod kątem php5.x (czy to 5.4 czy 5.6)

sudo apt-cache search php

Następnie zainstaluj konkretną wersję php:

sudo apt-get install <nazwa-wybranego-pakietu>

Udostępnij ten post


Link to postu
Udostępnij na innych stronach

Bądź aktywny! Zaloguj się lub utwórz konto

Tylko zarejestrowani użytkownicy mogą komentować zawartość tej strony

Utwórz konto

Zarejestruj nowe konto, to proste!

Zarejestruj nowe konto

Zaloguj się

Posiadasz własne konto? Użyj go!

Zaloguj się


×